Sound: De-emphasize (in-place)...

A command to change the spectral slope of every selected Sound object.

The reverse of Sound: Pre-emphasize (in-place).... For an example, see Source-filter synthesis.

This is the in-place version of Sound: Filter (de-emphasis)..., i.e., it does not create a new Sound object but modifies an existing object.

## Setting

From frequency (Hz)
  the frequency F above which the spectral slope will decrease by 6 dB/octave.

## Algorithm

The de-emphasis factor l is computed as

α = exp (-2 π F Δt)

where Δt is the sampling period of the sound. Every sample xi of the sound, except x1, is then changed, going up from the second sample:

xi = xi + α xi−1

### Links to this page

- Filtering